<?php
/**
 * Project:
 * Contenido Content Management System
 *
 * Description:
 * Plug-in "mpHideEmailAddresses" initialization file.
 *
 * This file will be included by Contenido plug-in loader routine, and the content
 * of this file ensures that the "mpHideEmailAddresses" plug-in will be initialized correctly.
 *
 * Requirements:
 * @con_php_req 5.0
 *
 *
 * @package    Contenido Backend plug-in
 * @version    0.1rc
 * @author     Murat Purc <murat@purc.de>
 * @copyright  Murat Purc it-solutions <www.purc.de>
 * @link       http://www.purc.de
 * @license    http://www.contenido.org/license/LIZENZ.txt
 *
 * {@internal
 *   created  2009-05-xx
 *   $Id: config.plugin.php 243 2011-05-13 14:33:24Z Murat $:
 * }}
 *
 */


defined('CON_FRAMEWORK') or die('Illegal call');


global $cfg;


################################################################################
##### Configuration

// (bool)  Flag to enable/disable this plug-in
//         If disabled, the plug-in does nothing.
$cfg['mpHideEmailAddresses']['enable'] = true;

// (int[])  List of category ids, where the plug-in should be diabled.
//          Defined category ids will overwrite enabled setting from above.
$cfg['mpHideEmailAddresses']['disableIdcats'] = array();

// (int[])  List of article ids, where the plug-in should be diabled.
//          Defined article ids will overwrite enabled setting from above.
$cfg['mpHideEmailAddresses']['disableIdarts'] = array();

// (string)  URL part or the path to use for generated mailto links.
//           The configured value will be used to generate the URLs.
//           NOTE: If you change the default value '/mail/to/', ensure to 
//                 takeover the new value into your .htaccess file
$cfg['mpHideEmailAddresses']['mailtoUrl'] = '/mail/to/';

// (string)  The magic key used to encrypt/decrypt email addresses.
//           Change this to whatever you want, but do it!
$cfg['mpHideEmailAddresses']['magickey'] = 'mySecretKey';

// (string)  Mailto output mode, feasible values are:
//           - 'raw': redirects to mailto with the related email address using  
//                    PHP's header() method. Some clients could follow the obfuscated 
//                    mailto URLs to retrieve the email adress behind it.
//           - 'js':  redirects to mailto with the related email address using 
//                    JavaScript. Only clients with JavaScript interpreter are
//                    able to process this.
//                    Matching mailo protocol with email addresses will be wrapped
//                    by JavaScript window.open() method.
$cfg['mpHideEmailAddresses']['output_mode'] = 'js';


################################################################################
##### Initialization

plugin_include('mpHideEmailAddresses', 'includes/functions.php');

if (true === mphea_isEnabled()) {

    // get cec registry instance
    $_cecRegistry = cApiCECRegistry::getInstance();

    // add a function to Contenido Extension Chainer
    $_cecRegistry->addChainFunction('Contenido.Frontend.HTMLCodeOutput', 'mphea_chainHTMLCodeOutput');
}
